$(function() {
  module('Number');

  test('test', function() {
    ok(Number.test(1), 'A number is a number.');
    ok(!Number.test('[object Function]'), 'A string is not a number.');
    ok(!Number.test(/a/), 'A RegExp is not a number.');
    ok(!Number.test(new Date()), 'A Date is not a number.');
    ok(!Number.test({}), 'An object is not a number.');
    ok(!Number.test(function() {}), 'A function literal is not a number.');
    ok(!Number.test(Function()), 'A function instance is not a number.');
  });

  test('times', function() {
    var x = 0;
    (3).times(function(i) {
      x += i;
    });
    ok(x === Math.sum(1, 2, 3), 'n.times works as a sum substitute');
  });
});
