$(function() {
  module('Math');

  test('average', function() {
    ok(Math.average(1, 2, 3) === 2, 'An argument list has a correct average');
    ok(Math.average([20, 40, 30]) === 30, 'An array has a correct average');
  });

  test('range', function() {
    ok(Math.range(1, 3).equals([1, 2, 3]), 'A simple range is correct');
    ok(Math.range(-10, -8).equals([-10, -9, -8]), 'Another simple range is correct');
    ok(Math.range(4, 2).equals([2, 3, 4]), 'A reversed range is correct.');
  });

  test('sum', function() {
    ok(Math.sum(1, 2, 3) === 6, 'An argument list has a correct sum');
    ok(Math.sum([2, 4, 6]) === 12, 'An array has a correct sum');
  });
});
